#ifndef EXPLOSION
#define EXPLOSION


#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"

#include "main.h"

class explosion {
public:
	explosion::explosion();
	explosion(int *terrain_y, weaponType wpn, int x, int y, int r, int plyr);

	bool draw();//true means done drawing
	weaponType getWpn();
	int getPlayer();

	int getX();	//Return X coordinate of explosion center
	int getY(); //Return Y coordinate of explosion center
	int getR(); //Return radius of explosion

	void updateTerrainCircleExplosion(int r);
private:
	int *terrain;	//Pointer to height data
	int counter;	
	int pos_x, pos_y, player;
	int radius;
	weaponType wpnType;
	void drawCircle(int x, int y, int r);
	bool drawCircularExplosion();
		
};




#endif