#ifndef WEAPON
#define WEAPON

#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"

#include "world.h"

class weapon
{
public:

	weapon(weaponType type, int A);
	~weapon();
	
private:
	int weaponWidth,			// width of weapon
		weaponHeight,			// height of weapon
		weaponIconWidth,		// width of the weapon icon
		weaponIconHeight;		// height of the weapon icon
	
	BITMAP_IMAGE weaponIcon;	//weapon icon bitmap
	weaponType wpnType;
	int ammo;			//Number of shots left in weapon.

public:
	void init(weaponType type, int ammo);
	weaponType getWpnType();
	void setAmmo(int A);
	int getAmmo();
	void addAmmo(int A);
	void drawIcon();
};


#endif
