#ifndef WEAPONBUY
#define WEAPONBUY

#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"
#include "main.h"

class weaponBuy{

	public:
		weaponBuy();
		bool updateScreen(); //Main loop to execute from outside
		void initialize();	 //Clear the variables for re-entry

	private:
		int currentPlayer;			//current player index
		int num_players;			//maximum number of players
		BITMAP_IMAGE weaponBuyImage;
		int ammoDrawY[11];			//Y locations in the bitmap where to draw
		bool buttonClicked;			//For input
		DWORD lastClickTime;

		void draw();				//draw's the screen
		bool next();				//selects the next player
		bool checkMouse(int x1, int x2, int y1, int y2);
	};



#endif