#ifndef MAIN_H
#define MAIN_H

// INCLUDES ////////////////////////////////////////////////
#include "weaponbuy.h"
#include "world.h"
#include "sound.h"
#include "tank.h"
#include <vector>
using namespace std;


// DEFINE CONSTANTS ///////////////////////////////////////

#define WINDOW_CLASS_NAME "WINXCLASS"  // class name
#define WINDOW_TITLE      "T@Nk w@rFaR3"
#define MAP_W 800
#define MAP_H 600
#define NUMBER_OF_ROUNDS 10
#define GRAVITY 5	//increase in the number of pixles to move per flip
#define NUM_BMPS 16


// GLOBALS ////////////////////////////////////////////////
extern HWND main_window_handle; // save the window handle
extern HINSTANCE main_instance; // save the instance
extern HDC hdc;
extern char buffer[256];        // used to print text
extern int MOUSE_X;
extern int MOUSE_Y;
extern int buttons;
extern sound *worldSounds;
extern vector<tank> tankList;	//Global list of tanks.

// TANK COLOR DEFINITIONS /////////////////////////////////
#define RED		0
#define GREEN	1
#define BLUE	2
#define	YELLOW	3
#define	ORANGE	4
#define	GREY	5
#define PURPLE	6
#define CYAN	7

#endif