#ifndef SOUND
#define SOUND


#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"

#define NUM_SOUNDS 40

//Sound aliases
extern enum soundType {NUKE_EXP,LGMISSILE_EXP,FIRE_WEAPON,NO_AMMO,WEAPON_SWITCH,
				       LASER_EXP,MISSILE_EXP,LGNUKE_FLY,LGNUKE_EXP,MACHINEGUN_EXP,
					   PROJECTILE_FLY, OPEN_WPN_SEL, TURRET, PURCHASE_DENY, BG_SOUND,
						PURCHASE};
class sound {
public:
	sound();
	~sound();
	int playSound(soundType S, bool replicate=false, bool repeat=false);
	void stopSound(int S);
private:
	int sound_ids[NUM_SOUNDS]; 

};

#endif